Bug 1492397 - consistent binary prefix units for sizes (MiB, GiB)
Summary: consistent binary prefix units for sizes (MiB, GiB)
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: ovirt-engine-ui-extensions
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.4.0
: ---
Assignee: Scott Dickerson
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-17 07:44 UTC by Yaniv Kaul
Modified: 2020-04-01 14:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2020-04-01 14:55:17 UTC
oVirt Team: UX
rule-engine: ovirt-4.4+


Attachments (Terms of Use)

Description Yaniv Kaul 2017-09-17 07:44:32 UTC
Description of problem:
For a given VM, the user portal shows 512.0 MiB (why the .0?) defined memory. The Admin Portal shows 512MB. Please align with each other, preferably to the truth and get rid of the .0

Version-Release number of selected component (if applicable):
ovirt-web-ui-1.2.1-1.el7.centos.noarch

Comment 1 Michal Skrivanek 2017-09-18 08:57:05 UTC
https://github.com/oVirt/ovirt-web-ui/issues/341 will remove the .0
Admin portal should use correct units, AFAIK the binary prefix is used in the dashboard but everywhere else it is not (Hosts, VMs, etc.)
Since it covers all places across teams moving to ux for tracking

Comment 2 Oved Ourfali 2017-09-19 04:58:05 UTC
I don't see any need to touch all places at the moment.
If the dashboard has something else, I guess it can be fixed.
Scott - can you take a look?

Comment 3 Yaniv Kaul 2017-09-19 05:17:38 UTC
(In reply to Oved Ourfali from comment #2)
> I don't see any need to touch all places at the moment.
> If the dashboard has something else, I guess it can be fixed.
> Scott - can you take a look?

But it's not the dashboard - I'v seen it in the VM properties - when you drill down into VM details.

Comment 4 Oved Ourfali 2017-09-19 05:19:35 UTC
(In reply to Yaniv Kaul from comment #3)
> (In reply to Oved Ourfali from comment #2)
> > I don't see any need to touch all places at the moment.
> > If the dashboard has something else, I guess it can be fixed.
> > Scott - can you take a look?
> 
> But it's not the dashboard - I'v seen it in the VM properties - when you
> drill down into VM details.

The ".0"?
In the admin portal I see MB.
And Michal mentioned they have it fixed for the VM portal.

Comment 5 Yaniv Kaul 2017-09-19 05:26:16 UTC
(In reply to Oved Ourfali from comment #4)
> (In reply to Yaniv Kaul from comment #3)
> > (In reply to Oved Ourfali from comment #2)
> > > I don't see any need to touch all places at the moment.
> > > If the dashboard has something else, I guess it can be fixed.
> > > Scott - can you take a look?
> > 
> > But it's not the dashboard - I'v seen it in the VM properties - when you
> > drill down into VM details.
> 
> The ".0"?

No, that's in the VM portal.

> In the admin portal I see MB.

I think it should be MiB? I think dashboard have aligned properly to the conventions, not sure the rest of the UI?

> And Michal mentioned they have it fixed for the VM portal.

Comment 6 Oved Ourfali 2017-09-19 05:28:23 UTC
I don't see us prioritizing that at the moment.
Targeting to 4.3.0 for consideration.

Comment 7 Michal Skrivanek 2020-03-19 15:40:40 UTC
We didn't get to this bug for more than 2 years, and it's not being considered for the upcoming 4.4. It's unlikely that it will ever be addressed so I'm suggesting to close it.
If you feel this needs to be addressed and want to work on it please remove cond nack and target accordingly.

Comment 8 Michal Skrivanek 2020-04-01 14:55:17 UTC
ok, closing. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.